<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Continent extends Model
{
    protected $fillable = [
        'code',
        'name',
        'internal_name',
    ];

    public function countries(): HasMany
    {
        return $this->hasMany(Country::class);
    }

    public function regions(): HasMany
    {
        return $this->hasMany(Region::class);
    }
}
